\section{Related Work}\label{sec:background}
Meis and Heisel \cite{DBLP:conf/trustbus/MeisH16} specified a taxonomy of software requirements that can guide engineers to identify intervenability requirements for a specific software system
and presented the taxonomy as an extensible metamodel using UML class diagram.
The authors classified intervenability into two main requirements: data subject interventions and supervisory authority interventions.
The interventions of supervisory authorities are: suspending data flows, ordering a ban of data processing, or the erasure or rectification of data.
The interventions of data subjects are: withholding or withdrawing consent, reviewing or challenging the accuracy and completeness of data, disapproving specific data processing operations, and requesting a copy of data.
The consequences of such interventions include the suspension of data flows, accessing or copying data by data subjects, amendment, correction or erasure of data, and restriction of data processing.
As an important aspect of data protection in the entire data processing lifecycle, intervenability has been one of the core properties of our DataPAL framework.

Chadwick et al. \cite{DBLP:journals/ijisec/ChadwickON09} introduced a solution for supporting dynamic delegation of authority (DOA) between users in multiple administrative domains. 
Their solution is focused only on dynamic delegation of user-role assignment in which users delegate their roles to other users. % as and when they wish.
They specifically introduced a new component designated as the Credential Validation Service (CVS) to work alongside the \ac{pdp} and support DOA.
The purpose of the CVS is to evaluate a credential validation policy to validate a set of subject credentials issued by multiple attribute authorities including delegates.
As such, the CVS returns a set of validated subject attributes to be used by the \ac{pdp} for the evaluation of an authorization policy.
The CVS uses a top-level trusted credential validation policy that defines delegation conditions and which credential issuers and sub-policies can be trusted.
With the help of administrative policies as stated in \ac{adp}, we are able to control the authorization lifecycle and support dynamic delegation of authority in our framework.

The work of Daoudagh and Marchetti \cite{DBLP:conf/itasec/DaoudaghM20} defines a GDPR-based lifecycle for authorization systems that assures the by-design compliance of the developed access control systems with GDPR.
It also introduces an integrated environment that automatically enforces the lifecycle.
The authors refer to the \ac{xacml} standard in their work, however, the lifecycle is generic and can be used in any \ac{abac} implementation.
The defined lifecycle consists of eight steps starting with defining the context and use-case from a GDPR point of view.
The subsequent steps include gathering authorization requirements according to GDPR regulations, identifying required attributes, authoring authorization policies that encode GDPR’s provisions, testing and verifying policies and access control mechanisms to ensure that they meet the GDPR regulations, deploying policies and mechanisms, and running access reviews to assess the implemented solutions.
We ensure regulatory compliance in view of data protection since administrative policies would be able to enforce policy evaluation as and how contexts keep changing in a dynamic data processing scenario.

To support user-centric access control, Preuveneers and Joosen \cite{DBLP:conf/eurosp/PreuveneersJ19} present a dynamic granular access control solution that works on top of existing authorization frameworks such as OpenID Connect and User Managed Access (UMA) 2.0.
The solution supports the delegation of authorization decisions to multiple stakeholders in continuously evolving federations of cloud and edge microservices.
This was achieved by adding a delegation microservice that intervenes with UMA 2.0 protocol flow to identify the relevant permissions and scopes and redirect the client to the correct authorization server.
The delegation microservice makes delegation decisions based on resource owners and requesting parties using delegation policies written in the Open Policy Agent (OPA) language.
The solution leverages microservice technologies to support flexibility and scalability and to adhere to the security needs of different stakeholders in microservice federations.

Plappert et al. \cite{plappert2017privacy} introduced a vehicular privacy monitoring and privacy-aware data access system that informs and allows users to control sensitive data flows.
The system allows users to define their own privacy settings then monitors and controls data flows accordingly and in compliance with the GDPR.
It uses privacy enhancing technologies to modify data according to user policies.
The system includes a human machine interface module that allows the user to review privacy-sensitive data flows and to adjust privacy settings to control the data flows.
The privacy settings are then transformed into XACML policies that are used by other modules to control data flows.
The monitoring module intercepts data flows between in-vehicle resources and third-party applications or external services, and evaluates XACML policies to decide how to handle the intercepted data flows.

In our work, we support user-centric data usage policies for controlling flow of information among different parties and we continuously monitor policy attribute values for state change. Depending upon the policy, a re-evaluation could be triggered which can change or deny access to data for resource owners.